package de.ozgcloud.formcycle;

import java.util.Map;

import org.apache.commons.lang3.StringUtils;

import lombok.Builder;

@Builder
public class ExecutionResult {

	public static final String VORGANGNUMMER_PROPERTY_KEY = "vorgangnummer";

	private final String vorgangnummer;

	public Map<String, String> get() {
		return Map.of(VORGANGNUMMER_PROPERTY_KEY, StringUtils.trimToEmpty(vorgangnummer));
	}

}
