package de.ozgcloud.formcycle.formdata;

import java.util.List;
import java.util.Optional;
import java.util.Set;

import lombok.Builder;
import lombok.Getter;

@Getter
@Builder
public class FormData {

	static final String SERVICE_KONTO_TYPE = "BayernID";

	private String organisationsEinheitId;

	private String formName;

	@Builder.Default
	private String serviceKontoType = SERVICE_KONTO_TYPE;

	private Optional<String> postkorbId;

	private Set<String> attachmentNames;
	private Set<String> attachmentUuids;

	private List<FormNode> fieldData;
}
